Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class BookmarksImpl

    java.lang.Object
      org.apache.poi.hwpf.usermodel.BookmarksImpl

All Implemented Interfaces:
  Bookmarks

    public class BookmarksImpl

extends java.lang.Object
implements Bookmarks

Implementation of user-friendly interface for document bookmarks

Author:
  Sergey Vladimirov (vlsergey {at} gmail {doc} com)

Constructor Summary
`BookmarksImpl(BookmarksTables bookmarksTables)`

Method Summary
`Bookmark` | `getBookmark(int index)`
`java.util.List` | `getBookmarksAt(int startCp)`
`int` | `getBookmarksCount()`
`java.util.Map` | `getBookmarksStartedBetween(int startInclusive, int endExclusive)`
`void` | `remove(int index)` Remove bookmark from document (but not the bookmark text)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BookmarksImpl

    public BookmarksImpl(BookmarksTables bookmarksTables)

Method Detail

### getBookmark

    public Bookmark getBookmark(int index)

  Specified by:
    `getBookmark` in interface `Bookmarks`
  Parameters:
    `index` - bookmark document index
  Returns:
    `Bookmark` with specified index

### getBookmarksAt

    public java.util.List getBookmarksAt(int startCp)

### getBookmarksCount

    public int getBookmarksCount()

  Specified by:
    `getBookmarksCount` in interface `Bookmarks`
  Returns:
    count of `Bookmark`s in document

### getBookmarksStartedBetween

    public java.util.Map getBookmarksStartedBetween(int startInclusive,
                                                    int endExclusive)

  Specified by:
    `getBookmarksStartedBetween` in interface `Bookmarks`
  Returns:
    `Map` of bookmarks started in specified range, where key is start position and value is sorted `List` of `Bookmark`

### remove

    public void remove(int index)

  Description copied from interface: `Bookmarks`
  Remove bookmark from document (but not the bookmark text)

  Specified by:
    `remove` in interface `Bookmarks`
  Parameters:
    `index` - bookmark document index to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD